#
# spec file for package python-s3transfer
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-s3transfer
Version:        0.1.10
Release:        9.1
Summary:        Python S3 transfer manager
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/boto/s3transfer
Source0:        https://pypi.python.org/packages/source/s/s3transfer/s3transfer-%{version}.tar.gz
Patch0:         hide_py_pckgmgmt.patch
BuildRequires:  python-setuptools
Requires:       python-botocore  <= 2.0.0
Requires:       python-botocore  >= 1.4.10
Requires:       python-futures   <= 4.0.0
Requires:       python-futures   >= 2.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A transfer manager for Amazon Web Services S3

%prep
%setup -q -n s3transfer-%{version}
%patch0

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --install-scripts=%{_bindir}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/s3transfer/
%{python_sitelib}/s3transfer-%{version}-py%{py_ver}.egg-info

%changelog
* Thu May 11 2017 toddrme2178@gmail.com
- Implement single-spec version.
- Update source URL.
* Thu Jan 19 2017 dmueller@suse.com
- use pypi.io
* Wed Jan 18 2017 astieger@suse.com
- update to 0.1.10:
  * feature: TransferManager: Expose ability to use own executor
    class for TransferManager
  * fix factory submission (validate source)
* Wed Oct 26 2016 rjschwei@suse.com
- Update to version 0.1.9 (bsc#1007084)
  + Forward port hide_py_pckgmgmt.patch
  + No changelog entry for 0.1.9
- From 0.1.8
  + feature:download: Support downloading to FIFOs.
- From 0.1.7
  + bugfix:TransferManager: Fix memory leak when using same client to create
    multiple TransferManagers
- From 0.1.6
  + bugfix:download: Fix issue where S3 Object was not downloaded to disk
    when empty
- From 0.1.5
  + bugfix:Cntrl-C: Fix issue of hangs when Cntrl-C happens for many queued
    transfers
  + feature:cancel: Expose messages for cancels
- from 0.1.4
  + feature:chunksize: Automatically adjust the chunksize if it doesn't meet
    S3s requirements.
  + bugfix:Download: Add support for downloading to special UNIX file by name
- From 0.1.3
  + feature:delete: Add a .delete() method to the transfer manager.
  + bugfix:seekable upload: Fix issue where seeked position of seekable
    file for a nonmultipart upload was not being taken into account.
- From 0.1.2
  + bugfix:download: Patch memory leak related to unnecessarily holding
    onto futures for downloads.
- From 0.1.1
  + bugfix:deadlock: Fix deadlock issue described here:
    https://bugs.python.org/issue20319 with using concurrent.futures.wait
- From 0.1.0
  + feature:copy: Add support for managed copies.
  + feature:download: Add support for downloading to a filename, seekable
    file-like object, and nonseekable file-like object.
  + feature:general: Add TransferManager class. All public functionality
    for s3transfer is exposed through this class.
  + feature:subscribers: Add subscriber interface. Currently supports
    on_queued, on_progress, and on_done status changes.
  + feature:upload: Add support for uploading a filename, seekable file-like
    object, and nonseekable file-like object.
* Mon Apr 18 2016 rjschwei@suse.com
- Include in SLE 12 (FATE#320748, bsc#974993, bsc#975949)
* Tue Apr 12 2016 rjschwei@suse.com
- Set the proper target directory for copying the license file
  + Fixes build issue on SLE 11
* Mon Apr 11 2016 rjschwei@suse.com
- Initial build
  + Version 0.0.1
